Skip to main content
GET
/
commerce
/
fulfillment
/
shipping
/
manifests
/
{manifestId}
Error
A valid request URL is required to generate request examples
{
  "_links": {
    "empty": true
  },
  "attributes": {},
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "carrierId": "<string>",
  "internalId": "<string>",
  "locationCode": "<string>",
  "manifestId": "<string>",
  "manifestUrl": "<string>",
  "numberOfPackages": 123,
  "numberOfShipments": 123,
  "shipments": [
    {
      "destination": {
        "data": {},
        "destinationContact": {
          "address": {
            "address1": "<string>",
            "address2": "<string>",
            "address3": "<string>",
            "address4": "<string>",
            "addressType": "Commercial",
            "attributes": {},
            "cityOrTown": "<string>",
            "countryCode": "<string>",
            "isValidated": true,
            "latitude": "<string>",
            "longitude": "<string>",
            "postalOrZipCode": "<string>",
            "stateOrProvince": "<string>"
          },
          "attributes": {},
          "companyOrOrganization": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastNameOrSurname": "<string>",
          "middleNameOrInitial": "<string>",
          "phoneNumbers": {
            "attributes": {},
            "home": "<string>",
            "mobile": "<string>",
            "work": "<string>"
          },
          "shortFullName": "<string>"
        },
        "isDestinationCommercial": true,
        "locationCode": "<string>"
      },
      "externalOrderId": "<string>",
      "fulfillmentLocationCode": "<string>",
      "orderNumber": 123,
      "packages": [
        {
          "attributes": {},
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "carrier": "<string>",
          "fxcbDocumentsUrl": "<string>",
          "fxcbPackNotificationId": "<string>",
          "hasLabel": true,
          "integratorId": "<string>",
          "labelFormat": "<string>",
          "manifestId": "<string>",
          "measurements": {
            "attributes": {},
            "height": {
              "attributes": {},
              "unit": "<string>",
              "value": 123
            },
            "length": {
              "attributes": {},
              "unit": "<string>",
              "value": 123
            },
            "weight": {
              "attributes": {},
              "unit": "<string>",
              "value": 123
            },
            "width": {
              "attributes": {},
              "unit": "<string>",
              "value": 123
            }
          },
          "packageId": "<string>",
          "packagingType": "<string>",
          "packingSlipItemDetails": [
            {
              "attributes": {},
              "lineId": 123,
              "originalOrderItemId": "<string>",
              "quantity": 123
            }
          ],
          "packingSlipNumber": 123,
          "returnCarrier": "<string>",
          "returnTrackingNumbers": [
            "<string>"
          ],
          "returnTrackings": [
            {
              "attributes": {},
              "number": "<string>",
              "url": "<string>"
            }
          ],
          "shippingMethodCode": "<string>",
          "shippingMethodName": "<string>",
          "signatureRequired": true,
          "stringBarcode": "<string>",
          "trackingNumbers": [
            "<string>"
          ],
          "trackings": [
            {
              "attributes": {},
              "number": "<string>",
              "url": "<string>"
            }
          ]
        }
      ],
      "shipmentNumber": 123,
      "shipmentType": "<string>"
    }
  ],
  "tenantId": 123,
  "userDisplayName": "<string>",
  "userId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

manifestId
string
required

manifestId

Response

OK

attributes
object
auditInfo
AuditInfo0 · object
carrierId
string
internalId
string
locationCode
string
manifestId
string
manifestUrl
string
numberOfPackages
integer<int32>
numberOfShipments
integer<int32>
shipments
ManifestShipment · object[]
tenantId
integer<int32>
userDisplayName
string
userId
string